# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sling.distribution.event.DistributionEventProperties
Modifier and Type
Constant Field
Value
`public static final String`
`DISTRIBUTION_COMPONENT_KIND`
`"distribution.component.kind"`
`public static final String`
`DISTRIBUTION_COMPONENT_NAME`
`"distribution.component.name"`
`public static final String`
`DISTRIBUTION_DEEP_PATHS`
`"distribution.deep.paths"`
`public static final String`
`DISTRIBUTION_ENQUEUE_TIMESTAMP`
`"distribution.enqueue.timestamp"`
`public static final String`
`DISTRIBUTION_PACKAGE_ID`
`"distribution.package.id"`
`public static final String`
`DISTRIBUTION_PATHS`
`"distribution.paths"`
`public static final String`
`DISTRIBUTION_TYPE`
`"distribution.type"`
org.apache.sling.distribution.event.DistributionEventTopics
Modifier and Type
Constant Field
Value
`public static final String`
`AGENT_PACKAGE_CREATED`
`"org/apache/sling/distribution/agent/package/created"`
`public static final String`
`AGENT_PACKAGE_DISTRIBUTED`
`"org/apache/sling/distribution/agent/package/distributed"`
`public static final String`
`AGENT_PACKAGE_DROPPED`
`"org/apache/sling/distribution/agent/package/dropped"`
`public static final String`
`AGENT_PACKAGE_QUEUED`
`"org/apache/sling/distribution/agent/package/queued"`
`public static final String`
`EVENT_BASE`
`"org/apache/sling/distribution"`
`public static final String`
`IMPORTER_PACKAGE_IMPORTED`
`"org/apache/sling/distribution/importer/package/imported"`